Contenu | Rechercher | Menus

Annonce

Si vous rencontrez des soucis à rester connecté sur le forum (ou si vous avez perdu votre mot de passe) déconnectez-vous et reconnectez-vous depuis cette page, en cochant la case "Me connecter automatiquement lors de mes prochaines visites".
Test de l'ISO d'Ubuntu francophone : nous avons besoin de testeurs pour la version francophone d'Ubuntu 14.04. Liens et informations ici.

Attention, une faille de sécurité dans bash a récemment été rapportée, il est recommandé de mettre à jour son système (plus de détails) *** mise à jour 12/10/2014 ***

#1 Le 16/08/2009, à 11:42

Dunatotatos

[Résolu] Bloquer des mises à jour pour apt

Bonjour tout le monde,

Après d'innombrables problèmes de drivers graphiques, j'ai trouvé une solution qui consistait à utiliser bon nombre de paquets de Intrepid, mais ceci dans Jaunty. la solution que j'ai adoptée.
J'ai ouvert un topic pour savoir si un tel bidouillage compromettait la stabilité du système, donc si vous souhaitez y répondre, rendez-vous ici.

Mais je viens ici pour autre chose. Je fais habituellement mes MAJ par la console avec l'inévitable

sudo apt-get update && upgrade

Mais le bidouillage auquel j'ai procédé nécessite de "bloquer" des paquets par Synaptic (cf le lien). Je voulais donc savoir si les paquets étaient bloqués pour apt-get aussi. Actuellement, un apt-get upgrade me propose de mettre ces paquets à jour. J'ai bien sûr refusé, mais je suis coincé si un jour je veux upgrader tout les paquets upgradables, sauf ceux que j'ai bloqués. Y'a-t-il moyen de les bloquer avec apt-get ? Ou faut-il que je me résigne à faire toutes les MAJ avec synaptic ?

Merci d'avance pour vos réponses wink
Duna

Dernière modification par Dunatotatos (Le 16/08/2009, à 17:43)

#2 Le 16/08/2009, à 15:03

Кຼزດ

Re : [Résolu] Bloquer des mises à jour pour apt

Dunatotatos a écrit :

Bonjour tout le monde,

Après d'innombrables problèmes de drivers graphiques, j'ai trouvé une solution qui consistait à utiliser bon nombre de paquets de Intrepid, mais ceci dans Jaunty. la solution que j'ai adoptée.
J'ai ouvert un topic pour savoir si un tel bidouillage compromettait la stabilité du système, donc si vous souhaitez y répondre, rendez-vous ici.

Mais je viens ici pour autre chose. Je fais habituellement mes MAJ par la console avec l'inévitable

sudo apt-get update && upgrade

Mais le bidouillage auquel j'ai procédé nécessite de "bloquer" des paquets par Synaptic (cf le lien). Je voulais donc savoir si les paquets étaient bloqués pour apt-get aussi. Actuellement, un apt-get upgrade me propose de mettre ces paquets à jour. J'ai bien sûr refusé, mais je suis coincé si un jour je veux upgrader tout les paquets upgradables, sauf ceux que j'ai bloqués. Y'a-t-il moyen de les bloquer avec apt-get ? Ou faut-il que je me résigne à faire toutes les MAJ avec synaptic ?

Merci d'avance pour vos réponses wink
Duna

Argh, j'ai pas d'ubuntu/debian disponible, mais j'imagine qu'il doit y avoir une option "hold" disponible dans un quelconque fichier de configuration …


dou

Hors ligne

#3 Le 16/08/2009, à 15:07

roger64

Re : [Résolu] Bloquer des mises à jour pour apt

Dans Synaptic, sélectionner le paquet puis choisir l'onglet paquet du menu : bloquer la version smile

Hors ligne

#4 Le 16/08/2009, à 15:24

Goulou99

Re : [Résolu] Bloquer des mises à jour pour apt

Salut,

Va voir ici:

http://forum.ubuntu-fr.org/viewtopic.php?pid=949568

Hors ligne

#5 Le 16/08/2009, à 17:40

Dunatotatos

Re : [Résolu] Bloquer des mises à jour pour apt

Goulou99 > Merci, c'est exactement ce qu'il me fallait big_smile
roger64 > J'ai justement déjà bloqué les versions dans Synaptic, mais je fais généralement mes MAJ par apt-get.
mathieul > J'ai lu qu'on pouvait utiliser hold avec aptitude. ça ne correspond pas à mon cas, puisque je préfère apt

Problème résolu, merci pour vos réponses smile

#6 Le 16/08/2009, à 17:57

Elzen

Re : [Résolu] Bloquer des mises à jour pour apt

Pour gérer les origines et les versions, il y a le fichier /etc/apt/preferences (il n'existe pas par défaut, mais il "suffit" de le créer). Regarde dans man apt_preferences, c'est plutôt pas mal expliqué.

Dernière modification par ArkSeth (Le 16/08/2009, à 17:58)


Elzen : polisson, polémiste, polymathe ! (ex-ArkSeth)
Un script pour améliorer quelques trucs du forum.
La joie de t'avoir connu surpasse la peine de t'avoir perdu…
J'ai pour qualité de ne jamais attaquer les gens. J'ai pour défaut de souvent avoir l'air de le faire.

En ligne

#7 Le 16/08/2009, à 18:09

Dunatotatos

Re : [Résolu] Bloquer des mises à jour pour apt

J'ai regardé la doc de debian au lieu du man. Pour le moment ça marche tongue
Je vais quand même jeter un œil au man, ça peut toujours être utile.

#8 Le 16/08/2009, à 19:43

Кຼزດ

Re : [Résolu] Bloquer des mises à jour pour apt

Dunatotatos a écrit :

Goulou99 > Merci, c'est exactement ce qu'il me fallait big_smile
roger64 > J'ai justement déjà bloqué les versions dans Synaptic, mais je fais généralement mes MAJ par apt-get.
mathieul > J'ai lu qu'on pouvait utiliser hold avec aptitude. ça ne correspond pas à mon cas, puisque je préfère apt

Problème résolu, merci pour vos réponses smile

Je oensais que ça existait dans les deux cas tongue
Et je pense que le hold qu'on applique dans synaptic doit mettre un flag sur le paquet concerné, ce qui doit le bloquer dans aptitude et apt-get tongue


dou

Hors ligne

#9 Le 16/08/2009, à 19:53

Elzen

Re : [Résolu] Bloquer des mises à jour pour apt

(Ah, oui, j'avais pas vu ça, petite rectif de vocabulaire : qu'on passe par aptitude, par synaptic ou par apt-get, on utilise apt dans les trois cas wink Apt est le cœur du gestionnaire de paquets, et aptitude, apt-get et synaptic sont trois surcouches rendant la chose utilisable, un peu comme trois gestionnaires de fenêtres différents au dessus du serveur X. C'est pour ça que les fichiers /etc/apt/preferences et /etc/apt/sources.list sont communs au trois : c'est la configuration de Apt en lui-même)

(par contre, contrairement aux deux autres, aptitude prend un peu plus de distances avec apt, utilisant sa propre base de données spécifique, c'est pour ça qu'il est conseillé soit de n'utiliser que aptitude, soit de ne pas l'utiliser, il y a quelque risque en utilisant l'un des deux autres en même temps que lui)


Elzen : polisson, polémiste, polymathe ! (ex-ArkSeth)
Un script pour améliorer quelques trucs du forum.
La joie de t'avoir connu surpasse la peine de t'avoir perdu…
J'ai pour qualité de ne jamais attaquer les gens. J'ai pour défaut de souvent avoir l'air de le faire.

En ligne

#10 Le 16/08/2009, à 23:39

Dunatotatos

Re : [Résolu] Bloquer des mises à jour pour apt

Ah ! Donc bloquer les paquets dans Synaptic n'a d'effets que dans Synaptic. Par contre, maintenant que j'ai bloqué les paquets avec un /etc/apt/preferences, je peux les débloquer sans risques dans Synaptic ?

#11 Le 17/08/2009, à 00:02

Elzen

Re : [Résolu] Bloquer des mises à jour pour apt

Aucune idée : peut-être que synaptic modifie la configuration de apt wink

Vérifie si tu as un fichier /etc/apt/preferences ou pas, et si oui, ce qu'il y a dedans ^^


Elzen : polisson, polémiste, polymathe ! (ex-ArkSeth)
Un script pour améliorer quelques trucs du forum.
La joie de t'avoir connu surpasse la peine de t'avoir perdu…
J'ai pour qualité de ne jamais attaquer les gens. J'ai pour défaut de souvent avoir l'air de le faire.

En ligne

#12 Le 17/08/2009, à 09:00

Dunatotatos

Re : [Résolu] Bloquer des mises à jour pour apt

Justement, j'ai créé ce fichier moi-même tongue

Haut de page ↑